WinShopAPI docs
ReferenceProduct

Get a purchase price from a supplier

Returns the purchase price agreed with `supplierId` that is valid on `priceDate`. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/purchase-price

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Query Parameters

supplierId?integer
Formatint32
priceDate?string
Formatdate-time

Response Body

application/json
  1. response
countryOfDispatchId?integer
Formatint32
exchangeRate?number
Formatdecimal
foreignCurrencyId?integer
Formatint32
foreignPurchasePrice?number
Formatdecimal
isPromoPrice?boolean
purchasePrice?number
Formatdecimal
receivedPurchasePrice?number
Formatdecimal
supplierProductCode?string
curl -X GET 'https://<your-instance>/api/products/0/purchase-price' \  -H 'Authorization: Bearer <access-token>'
{  "countryOfDispatchId": 0,  "exchangeRate": 0,  "foreignCurrencyId": 0,  "foreignPurchasePrice": 0,  "isPromoPrice": true,  "purchasePrice": 0,  "receivedPurchasePrice": 0,  "supplierProductCode": "string"}